%define module_name SQL-Abstract-Prefetch
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(Lingua/EN/Inflect/Number.pm) perl(Mojo/Base.pm) perl(SQL/Abstract/Pg.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: implement "prefetch" for DBI RDBMS
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class implements "prefetch" in the style of the DBIx::Class manpage. Stages
of operation:

=over

=item *

Generate a "query spec" that describes what you want back from the
database - which fields from which tables, and what relations to join.

=item *

Generate SQL (and bind parameters) from that "query spec".

=item *

Pass the SQL and parameters to a the DBI manpage `$dbh' to prepare and execute.

=item *

Pass the `$sth' when ready (this allows for asynchronous operation)
to the extractor method to turn the returned rows into the hash-refs
represented, including array-ref values for any "has many" relationships.

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/S*

%changelog
* Fri Apr 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- updated by package builder

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

